﻿Public Enum ExpressionType
    ''' <summary>
    ''' QBuilder will automatically attempt to determine the field type.
    ''' It wmay have issues determine the different between a string-literal and a field name.
    ''' Specify the FieldType manually in these cases.
    ''' </summary>
    ''' <remarks></remarks>
    Auto = 0
    ''' <summary>
    ''' Literal Types are fixed numeric values, such as 1234, or "ABC"
    ''' </summary>
    ''' <remarks></remarks>
    Literal
    ''' <summary>
    ''' Logical Types are expressions evaluated by SQL, such as field names, function, parameters, etc...
    ''' </summary>
    ''' <remarks></remarks>
    Logical
    ''' <summary>
    ''' The expression will be rendered exactly as it was added with no quoting or escaping.
    ''' </summary>
    ''' <remarks></remarks>
    Exact
End Enum
