﻿Public Interface ICriteriaContainer
    ReadOnly Property CriteriaCount As Integer
    Property RenderParens As Boolean

    Sub AddCriteria(ByVal Criteria As ICriteriaComponent)
    Sub AddCriteria(ByVal Criteria As IEnumerable(Of ICriteriaComponent))
    Sub AddCriteria(ByVal Criteria As ICriteriaComponent, ByVal Op As BooleanOperator)
    Function AddCriteria(LeftExpression As String, CriteriaOp As Operation, RightExpression As String) As Criteria
    Function AddCriteria(LeftExpression As String, CriteriaOp As Operation, RightExpression As String, Op As BooleanOperator) As Criteria

    Function Criteria() As IEnumerable(Of ICriteriaComponent)
    Sub ClearCriteria()
End Interface
